Subject: bug#62415: closed (Re: bug#62415: Bump %webkit-version)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Mar 2023 00:29:02 +0000

Your bug report

#62415: Bump %webkit-version

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62415: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62415
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62415: Bump %webkit-version
From: Maxim Cournoyer <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: "André A. Gomes" <[email-masked]>, [email-masked]
Date: Tue, 28 Mar 2023 20:28:46 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Closing, as webkitgtk is now at 2.40.0 on the staging branch, and if
everything goes well, I plan to merge staging into master soon (TM).

-- 
Thanks,
Maxim

Subject: Bump %webkit-version
From: André A. Gomes <[email-masked]>
To: [email-masked]
Date: Fri, 24 Mar 2023 12:57:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

Web browsers relying on webkitgtk version 2.38.5 (such as Nyxt, Epiphany
or Surf) suffer from serious bugs when using this concrete webkitgtk
version.  For instance, accessing github.com results in a blank page.

I'd suggest either downgrading to 2.38.4 or bumping to 2.40.0.  Notice
that the latter is the most up-to-date stable release, see

https://webkitgtk.org/2023/03/17/webkitgtk2.40.0-released.html

My machine is not very powerful and I'm not sure whether it'll handle a
local build so that I can make the necessary checks and send a patch.

Could someone please help?  Thanks.

-- 
André A. Gomes
"You cannot even find the ruins..."